local self_ID = "PersoH by Pat01"
declare_plugin(self_ID,
{
image     	 = "Ka-50.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

fileMenuName = _("PersoH"),
version		 = "1.2.0",		 
state		 = "installed",
info		 = _("PersoH by Pat01"),

binaries 	 =
{
'Ka50',
'CockpitKa50',
},

InputProfiles =
	{
		["Perso"]     = current_mod_path .. '/Input/Perso',
	},
	--[[
Skins	= 
	{
		{
			name	= "Perso",
			dir		= "Skins/1"
		},
	},
	]]
Missions =
	{
		{
			name		= _("Perso"),
			dir			= "Missions",
			CLSID		= "{CLSID5456456346CLSID}",	
		},
	},
LogBook =
	{
		{
			name		= _("Perso"),
			type		= "Perso",
		},
	},	
	--[[
Options =
	{
		{
			name		= _("Perso"),
			nameId		= "Perso",
			dir			= "Options",
			CLSID		= "{6FF597CD-1A7B-46e4-8267-AE493975EE30}"
		},
	},
]]	

preload_resources = {
	textures   = 
		{
			"KA-50-blade.bmp",
			"DAMAGE_Ka-50_n.bmp",
			"DAMAGE_Ka-50_n1.bmp",
			"DAMAGE_Ka-50_1.tga",
			"DAMAGE_KA-50_2.bmp",			
		},
	models     = {},
	fonts      = {},
	explosions = {},
	},
})
---------------------------------------------------------------------------------------

make_flyable('Perso',current_mod_path..'/Cockpit/Scripts/',{self_ID,'Ka50'})--make_flyable(obj_name,optional_cockpit path,optional_fm = {mod_of_fm_origin,dll_with_fm})

dofile(current_mod_path..'/PersoH.lua')

plugin_done()-- finish declaration , clear temporal data
